6.0.0-git
2019-03-19

[#10054] Subject didn't encode with attachment
Summary Subject didn't encode with attachment
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester wangshichen17 (at) gmail (dot) com
Created 2011-05-06 (2874 days ago)
Due
Updated 2011-05-17 (2863 days ago)
Assigned 2011-05-15 (2865 days ago)
Resolved 2011-05-16 (2864 days ago)
Milestone
Patch No

History
2011-05-17 01:56:00 wangshichen17 (at) gmail (dot) com Comment #8 Reply to this comment
Fixed in Horde_Mime.
THANKS A LOT!!!
2011-05-16 18:26:55 Michael Slusarz Comment #7
Version ⇒
Queue ⇒ Horde Framework Packages
State ⇒ Resolved
Reply to this comment
Fixed in Horde_Mime.
2011-05-16 18:26:15 Git Commit Comment #6 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10054: Fix encoding of headers if charset passed to toArray() is empty

  2 files changed, 10 insertions(+), 9 deletions(-)
http://git.horde.org/horde-git/-/commit/cb19d4a5c5ae67989ecaadd59e9fecfe760163b0
2011-05-15 11:02:43 Jan Schneider Comment #5
Assigned to Michael Slusarz
State ⇒ Assigned
Reply to this comment
Confirmed.
2011-05-11 14:04:28 bjoern (dot) koester (at) mediata (dot) net Comment #4 Reply to this comment
i have the same problem with imp 5.0.3. we use the utf-8 charset. 
affected ist not only the subject header block.  from address name and 
to address name have the same bug.
2011-05-09 02:12:55 wangshichen17 (at) gmail (dot) com Comment #3 Reply to this comment
I think that it is Big-5 that use double-8it to encode one Chinese 
word. Do you think that it is the reason caused this problem??
In fact, I have thought that it might be the problem of Big-5 charset. 
Therefore, i also tested for the UTF-8 charset.
Then, I found the same problem when using the UTF-8 charset.

[Show Quoted Text - 10 lines]
2011-05-06 16:56:45 Michael Slusarz Comment #2 Reply to this comment
Is Big-5 one of those charsets that only contains ASCII characters, 
even though it represents an 8+bit representation?  That would explain 
this behavior.  See, e.g., Horde_mime::is8bit:

         /* ISO-2022-JP is a 7bit charset, but it is an 8bit representation so
          * it needs to be entirely encoded. */
         return is_string($string) &&
                ((stristr('iso-2022-jp', $charset) &&
                 (strstr($string, "\x1b\$B"))) ||
                 preg_match('/[\x80-\xff]/', $string));
2011-05-06 09:22:42 wangshichen17 (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Subject didn't encode with attachment
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,
Recently, I found an encoding bug when sending the mail with imp application.
by the way, my imp version is 5.0.0 and horde version is 4.0.0.
and i write the mail (content and the subject) in Chinese  (encoding 
in Big-5).

i found the bug as followed:
when sending the mail without the attachment , the subject of the mail 
will be encoded in
Big-5 . But when sending the mail with attachment, I found that the 
subject of the mail will be directly write into the subject header 
other than being encoded in Big-5.

And this will lead to that when I used the newly version horde and IMP 
to read this mail, it will display in incorrect Chinese word. But if 
using the Gmail to read the mail, it will be OK. I think it is because 
that Gmail will check whether the subject is encoded or not , then 
doing additional processing.

Saved Queries